# Uses of Class
org.springframework.beans.factory.aot.CodeWarnings

Packages that use CodeWarnings
Package
Description
org.springframework.beans.factory.aot
AOT support for bean factories.

## Uses of CodeWarnings in org.springframework.beans.factory.aot

Methods in org.springframework.beans.factory.aot that return CodeWarnings
Modifier and Type
Method
Description
`CodeWarnings`
CodeWarnings.`detectDeprecation(AnnotatedElement... elements)`
Detect the presence of `Deprecated` on the specified elements.
`CodeWarnings`
CodeWarnings.`detectDeprecation(Stream<AnnotatedElement> elements)`
Detect the presence of `Deprecated` on the specified elements.
`CodeWarnings`
CodeWarnings.`detectDeprecation(org.springframework.core.ResolvableType resolvableType)`
Detect the presence of `Deprecated` on the signature of the specified `ResolvableType`.